package com.bytesw.bytebot.etl.dao;

import com.bytesw.bytebot.etl.model.Action;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;

import java.util.Optional;

public interface ActionRepository extends CrudRepository<Action, Long>, JpaSpecificationExecutor<Action> {
    Optional<Action> findByIdentifier(String identifier);
}
